=== debian/changelog ===
pypy (5.0.1+dfsg-4) unstable; urgency=medium

  * Disable building with pypy on ppc64, again. It has a JIT, but pypy itself
    is just too buggy on big-endian, to manage a translation.
  * hg-updates: fix wait() on big endian (which should resolve the above
    issue).
  * kfreebsd-tests: Skip PTY tests that hang forever on kFreeBSD.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 04 Apr 2016 16:54:44 -0700

pypy (5.0.1+dfsg-3) unstable; urgency=medium

  * Re-enable pypy builds on ppc64.
  * ARM JIT backend: Only execute NEON instructions on CPUs with NEON support.
  * hg-updates: Apply patches staged in upstream's release branch.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Mar 2016 21:42:35 -0500

pypy (5.0.1+dfsg-2) unstable; urgency=medium

  * Drop libunwind build-dep, not used any more, in PyPy 5.0.
  * Port the recent vmprof changes to kFreeBSD.
  * Make pypy-lib an architecture-dependant package, so that we remain
    installable on buildds, after Architecture: all build has been installed.
  * Temporarily build with python2.7 on ppc64, to re-bootstrap.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 22 Mar 2016 20:46:30 -0700

pypy (5.0.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Recognise armv8l architecture, so we can build in an armhf chroot on
    arm64.
  * Build with pypy on architectures with a JITted PyPy. This is now necessary
    on armhf, as we otherwise can't build a jitted pypy in a 3GB address
    space (32bit kernel userspace).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Mar 2016 08:58:13 -0400

pypy (5.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop soabi patch, superseded upstream.
  * Bump copyright years.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Switch both Vcs fields to the same https URL.
  * Patch: sandbox-unlink allow the sandbox REPL to start, by supporting
    unlink() (and rejecting it).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Mar 2016 23:57:01 -0700

pypy (4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Refresh patches, drop hg-updates.
  * Update copyright.
  * Enable continuation on PPC64 and MIPS64.
  * Switch VCS-Browser to cgit, on https.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 20 Nov 2015 11:21:52 -0800

pypy (4.0.0+dfsg-2) unstable; urgency=medium

  * Set the magic tag (.pyc filename) to the soabi, for simplicity. We haven't
    had any changes to bytecode in a while. Part of #803689.
  * Expose SOABI in sysconfig for dh_pypy, so it can generate dependencies on
    pypy-abi-XX.
  * Provide pypy-abi-XX.
  * Force a re-byte-compile, if 4.0.0+dfsg-1 was installed.
  * Apply upstream post-release bug-fixes.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 02 Nov 2015 13:20:28 -0800

pypy (4.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release. (2.6.x skips to 4.0.x to avoid confusion with
    current cPython releases).
    - Now supports JIT on 64bit PPC (both endians)
  * Refresh patches.
  * valgrind is now available on mips64el.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Oct 2015 11:03:32 -0700

pypy (2.6.1+dfsg-2) unstable; urgency=medium

  * pypy-dev: Move headers back to their include dir. (Closes: #799485)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 21 Sep 2015 14:49:17 -0700

pypy (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #786738)
  * Refresh patches.
  * Drop patch, superseded upstream: vmprof-amd64.
  * Update copyright.
  * Generate Provides for pypy-cffi, like python-cffi 1.1.2 does.
  * Properly support the binary-indep target.
  * Drop grammar pickles from lib2to3, not needed.
  * Multiarch ctypes_config_cache.
  * Build-Depend on dh-python, for dh_python2.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Sep 2015 12:17:03 -0400
