=== debian/control ===
Source: pypy
Section: python
Priority: extra
Maintainer: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper (>= 9.20141010~),
 dh-exec,
 dh-python,
 dpkg-dev (>= 1.17.14~),
 libbz2-dev,
 libexpat1-dev,
 libffi-dev,
 libgdbm-dev,
 libncurses-dev,
 libsqlite3-dev,
 libssl-dev,
 netbase,
 pkg-config,
 procps,
 pypy [amd64 armhf i386 ppc64el] <!stage1>,
 python (>= 2.6.6-11~),
 python-docutils,
 python-sphinx (>= 1.0.7+dfsg),
 python2.7-dev,
 tcl-dev,
 tk-dev,
 valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
 zlib1g-dev
Build-Depends-Indep: graphviz
Standards-Version: 3.9.7
Homepage: http://pypy.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git

Package: pypy
Architecture: kfreebsd-any linux-any
Depends: pypy-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: pypy-dev (<< ${source:Version})
Provides: ${pypy-abi}
Suggests: pypy-doc, pypy-tk (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: fast alternative implementation of Python - PyPy interpreter
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7). It has several advantages and distinct features:
  * Speed: thanks to its Just-in-Time compiler (on x86), Python programs often
    run faster on PyPy.
  * Memory usage: large, memory-hungry Python programs might end up taking less
    space than they do in CPython.
  * Compatibility: PyPy is highly compatible with existing Python code.
    It supports ctypes and can run popular Python libraries like twisted and
    django.
  * Stackless: PyPy supports stackless mode on most platforms, providing
    micro-threads for massive concurrency.
 .
 This package contains the PyPy interpreter.

Package: pypy-tk
Architecture: kfreebsd-any linux-any
Depends: pypy (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: pypy-lib (<< 2.2)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: Tkinter module for PyPy (an alternative Python interpreter)
 A module for writing portable GUI applications with PyPy using Tk.
 Also known as Tkinter.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: python-pypy.sandbox
Architecture: kfreebsd-any linux-any
Depends:
 pypy-lib (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: python-py
Replaces: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
Breaks: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: sandboxed PyPy interpreter
 A version of PyPy that runs fully "virtualized", where an external process
 controls all input/output. This is a secure sandbox, it is safe to run any
 untrusted Python code with it. The Python code cannot see or modify any local
 file except via interaction with the external process.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-lib
Architecture: kfreebsd-any linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Provides: ${cffi:Provides}
Description: standard library for PyPy (an alternative Python interpreter)
 The PyPy standard library. This is a combination of modules, copied directly
 from cpython, modified cpython modules, and modules entirely re-implemented
 (usually in pure Python, where they are C extensions in cpython).
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-lib-testsuite
Architecture: all
Depends: pypy, pypy-lib (>= ${source:Version}), ${misc:Depends}
Replaces: pypy-lib (<< 2.2)
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: standard library test suite for PyPy (an alternative Python interpreter)
 The complete test suite for the PyPy standard library.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Suggests: python-doc
Description: developer Documentation for PyPy (an alternative Python interpreter)
 The Developer documentation for PyPy. This mostly covers the internals of
 PyPy, and development of PyPy itself.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).

Package: pypy-dev
Architecture: all
Depends: pypy (>= ${source:Version}), ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
Description: header files for PyPy (an alternative Python interpreter)
 Header files for compiling cpython C extension modules for use with PyPy.
 Note that pure Python modules will probably perform better.
 .
 PyPy supports a subset of cpython's C API through its CPyExt subsystem.
 .
 PyPy is a fast, compliant alternative implementation of the Python language
 (2.7).
