## pypy 5.1.2%2Bdfsg

=== debian/changelog ===
pypy (5.1.2+dfsg-1~16.04) xenial-proposed; urgency=medium

  * SRU: LP: #1589268. Backport 5.2.1 to 16.04 LTS.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jun 2016 16:44:16 +0200

pypy (5.1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh s390x-march.
  * Drop other s390x patches, superseded upstream.
  * Build with cpython on s390x, until we've got a JIT bootstrapped (builds
    timing out, without it). (Closes: #823916)
  * britney now supports versioned Provides, so generate them in pydist.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 17 May 2016 19:31:56 +0200

pypy (5.1.1+dfsg-4) unstable; urgency=medium

  * Remove stray print in s390x-cpuinfo.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 14 May 2016 09:14:01 +0200

pypy (5.1.1+dfsg-3) unstable; urgency=medium

  * Correct s390x-cpunifo rpython.
  * Build with pypy on s390x, as there's now a JIT.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 13 May 2016 10:49:18 +0200

pypy (5.1.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream s390x patches, that should (amongst other things) get
    us building on s390x, again. (Closes: #823916)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 12 May 2016 23:43:29 +0200

pypy (5.1.1+dfsg-1) unstable; urgency=medium

  * New upstream patch release.
  * Don't target newer subarchitectures on s390x, Debian doesn't support them
    (Closes: #823916).
  * Build pypy with pypy again on ppc64 (now that it has bootstrapped).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 10 May 2016 16:47:34 +0200

pypy (5.1+dfsg-1) unstable; urgency=medium

  * New upstream minor version.
  * Refresh patches.
  * Drop patches, superseded upstream: noise, sandbox-unlink, armv8l,
    vmkprof-kfreebsd, neon, kfreebsd-tests, hg-updates, ensure-valid-term
  * Update copyright.
  * The ctypes config_cache no longer exists, drop handling of it.
  * Enable JIT on s390x (now that it is supported).
  * Build with pypy on kfreebsd.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 30 Apr 2016 12:25:30 +0200
