## pypy 5.1.2+dfsg

=== requirements.txt ===
# hypothesis is used for test generation on untranslated jit tests
hypothesis
enum34>=1.1.2
