=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  netbase,
  pkg-config,
  procps,
- pypy [amd64 armhf i386 ppc64el] <!stage1>,
+ pypy [any-amd64 any-i386 armhf ppc64 ppc64el] <!stage1>,
  python (>= 2.6.6-11~),
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
@@ -27,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://pypy.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git
