=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,6 @@
 
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
-	lib_pypy/ctypes_config_cache/rebuild.py
 
 pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
 pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
