## pypy 5.4.1+dfsg

=== debian/changelog ===
pypy (5.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream: cpython-recursionlimit,
    floatingpoint-accuracy, libm-tests.
  * Update copyright file.
  * Enable continuation on s390x, it's been supported since 5.1.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 06 Sep 2016 15:06:37 -0700

pypy (5.4.0+dfsg-2) unstable; urgency=medium

  * Patch cpython-recursionlimit: Resolve FTBFS when translating with cpython
  * Patch floatingpoint-accuracy: Hopefully resolve FTBFS on ppc64el.
  * Patch libm-tests: Resolve test failures in _rawffi.
  * Drop python-pypy.sandbox. It is broken upstream in 5.4.0, as it has been
    in all upstream releases in recent history.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 31 Aug 2016 18:49:14 -0700

pypy (5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches, superseded upstream: s390x-march, sandboxed-mkdir.
  * Update watch file, following upstream's new tag syntax.
  * Upstream now lets us target a s390x subarch, so target z10, the oldest
    upstream supports.
  * Patch distutils-idempotent: Make customize_compiler idempotent. This
    avoids infinitely long command lines and thus an FTBFS. (Closes: #835772)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 31 Aug 2016 09:11:33 -0700

pypy (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, superseded upstream: ppc-jit-ftbfs, pymem.h.
  * Build with pypy on s390x again, the JIT is bootstrapped.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Jun 2016 14:29:07 +0200

pypy (5.3+dfsg-2) unstable; urgency=medium

  * Cherry-pick two upstream patches.
    - Patch ppc-jit-ftbfs: Fix JIT FTBFS on ppc64 (a trivial mistake).
    - Patch pymem.h: Add include guards to pymem.h.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 10 Jun 2016 00:15:08 +0200

pypy (5.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upstream is using a new tag syntax for releases.
  * Refresh patches.
  * Update copyright.
  * Re-instate noise patch, upstream is detecting TTYs again.
  * Patch sandbox-mkdir: Return EPERM to sandboxed pypy when it tries to
    create __pycache__ directories (Closes: #825702)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Jun 2016 00:55:16 +0200
