=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
- dh-python,
  dpkg-dev (>= 1.17.14~),
  libbz2-dev,
  libexpat1-dev,
@@ -17,7 +16,7 @@
  netbase,
  pkg-config,
  procps,
- pypy [any-amd64 any-i386 armhf ppc64 ppc64el] <!stage1>,
+ pypy [any-amd64 any-i386 armhf ppc64 ppc64el s390x] <!stage1>,
  python (>= 2.6.6-11~),
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg),
@@ -62,26 +61,6 @@
 Description: Tkinter module for PyPy (an alternative Python interpreter)
  A module for writing portable GUI applications with PyPy using Tk.
  Also known as Tkinter.
- .
- PyPy is a fast, compliant alternative implementation of the Python language
- (2.7).
-
-Package: python-pypy.sandbox
-Architecture: kfreebsd-any linux-any
-Depends:
- pypy-lib (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Suggests: python-py
-Replaces: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
-Breaks: python-pypy.translator.sandbox (<< 2.0~beta2+hg61648)
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
-Description: sandboxed PyPy interpreter
- A version of PyPy that runs fully "virtualized", where an external process
- controls all input/output. This is a secure sandbox, it is safe to run any
- untrusted Python code with it. The Python code cannot see or modify any local
- file except via interaction with the external process.
  .
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7).
