=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,13 @@
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-# dh_python2 is used for pypy-sandbox
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with sphinxdoc
 
 override_dh_auto_configure:
 	# This rule left intentionally empty
 
-override_dh_auto_build-arch: pypy/goal/pypy-c pypy/goal/pypy-c-sandbox
+override_dh_auto_build-arch: pypy/goal/pypy-c
 	$(MAKE) -C pypy/doc man BUILDDIR=$(CURDIR)/build-docs
 
 	# Build cffi modules
@@ -32,12 +31,12 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/goal/pypy-%: export TMPDIR = $(CURDIR)/build-tmp
-pypy/goal/pypy-%: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
-pypy/goal/pypy-%:
+pypy/goal/pypy-c: export TMPDIR = $(CURDIR)/build-tmp
+pypy/goal/pypy-c: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
+pypy/goal/pypy-c:
 	rm -rf $(TMPDIR)
 	mkdir $(TMPDIR)
-	debian/scripts/translate.sh --python $(PYTHON) $$(echo $@ | grep -q sandbox && echo --sandbox)
+	debian/scripts/translate.sh --python $(PYTHON)
 	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
 	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
 	cp $(C_SRC_DIR)/pypy-c $@
@@ -84,9 +83,6 @@
 override_dh_compress:
 	dh_compress -X.inv -X.txt
 
-override_dh_python2:
-	dh_python2 -p python-pypy.sandbox
-
 override_dh_installdeb:
 	set -e; for maintscript in preinst postinst prerm; do \
 		sed -e 's/#VERSION#/$(VER)/g' \
@@ -106,7 +102,7 @@
 	rm -rf pypy-$(VER).orig
 	hg clone $(HG_REPO) pypy-$(VER).orig
 ifeq (,$(REV))
-	cd pypy-$(VER).orig && hg up -r release-$(VER)
+	cd pypy-$(VER).orig && hg up -r release-pypy2.7-v$(VER)
 else
 	cd pypy-$(VER).orig && hg up -r $(REV)
 endif
