=== debian/changelog ===
pypy (5.6.0+dfsg-4) unstable; urgency=medium

  * Fix clean rule.
  * Patch non-recursive-graphlib: Hopefully fix stack overflow during
    translation on mips{64,}el and armel.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Nov 2016 11:08:46 +0100

pypy (5.6.0+dfsg-2) unstable; urgency=medium

  * Patch noprofopt: Allow the use of --no-profopt with -O3 and --shared.
  * Use --no-profopt when the JIT is disabled, fixing FTBFS on many archs.
  * Patch trackgcroot: Fix FTBFS on i386.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2016 09:40:03 +0000

pypy (5.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Supports OpenSSL 1.1 (Closes: #828517)
  * Refresh patches.
  * Drop patch, superseded upstream: distutils-idempotent
  * Update copyright.
  * Build with --shared, to allow embedding.
  * Patch expat-2.2.0: Don’t test error message detail that changed in Expat
    2.2.0.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 11 Nov 2016 22:27:20 +0000
