=== debian/control ===
--- 
+++ 
@@ -107,11 +107,14 @@
 Architecture: all
 Depends: pypy (>= ${source:Version}), ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Provides: libpypy-dev
 Description: header files for PyPy (an alternative Python interpreter)
  Header files for compiling cpython C extension modules for use with PyPy.
  Note that pure Python modules will probably perform better.
  .
  PyPy supports a subset of cpython's C API through its CPyExt subsystem.
  .
+ Also included is PyPy.h, for embedding the PyPy interpreter.
+ .
  PyPy is a fast, compliant alternative implementation of the Python language
  (2.7).
