## pypy 5.8.0+dfsg

=== debian/changelog ===
pypy (5.8.0+dfsg-2) unstable; urgency=medium

  * Disable _vmprof module on kFreeBSD, as it has no F_GETPATH, or equivalent.
  * Stop using asmgcc, it's no longer the default upstream. And causes an
    FTBFS on i386, with _vmprof. (Closes: #864814)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Jun 2017 09:46:14 -0700

pypy (5.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable again, the freeze is (almost) over.
  * Refresh patches.
  * Update copyright.
  * Use fPIC on m68k and sh4 (Closes: #861942, #861951)
  * Bump Standards-Version to 4.0.0.
    - Switch copyright file Format to https URL.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2017 11:00:52 -0700

pypy (5.7.1+dfsg-2) experimental; urgency=medium

  * Install the new cpyext_* headers.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 02 May 2017 12:23:45 -0700

pypy (5.7.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental, due to freeze.
  * Refresh patches.
  * Drop patches, superseded upstream: expat-2.2.0, noprofopt, trackgcroot,
    non-recursive-graphlib.
  * Update copyright.
  * Build-Depend on python-pycparser, required for translation now.
  * Update clean rule.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 25 Apr 2017 22:29:06 -0700
