## pypy 5.10.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pypy
 Section: python
-Priority: extra
-Maintainer: Stefano Rivera <stefanor@debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -27,7 +28,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://pypy.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git
