=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	debian/scripts/translate.sh --python $(PYTHON)
 	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
 	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c $@
+	cp $(C_SRC_DIR)/pypy-c $(C_SRC_DIR)/libpypy-c.so $(dir $@)
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp
