=== debian/changelog ===
pypy (5.10.0+dfsg-3build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:17 +0000

pypy (5.10.0+dfsg-3build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:26:51 +0100

pypy (5.10.0+dfsg-3) unstable; urgency=medium

  * Patch: dots-stackcheck: Print more dots to avoid timing out on slower
    buildds (Closes: #878479)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 20 Jan 2018 21:06:44 +1100

pypy (5.10.0+dfsg-2) unstable; urgency=medium

  * Patch: rvmprof: Handle ProcessorAutodetectError. Fixing builds on non-JIT
    archs.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2017 21:36:16 +0100

pypy (5.10.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards_version to 4.1.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 28 Dec 2017 15:27:03 +0100

pypy (5.9.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Import patches into git-dpm (reformatting headers).
  * Update copyright.
  * Use VERSION_CHAR16CHAR32 as the cffi version.
  * Bump Standards-Version to 4.1.1.
    - Change priority to optional.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 Oct 2017 14:56:42 +0200
