## pypy 6.0.0+dfsg

=== debian/changelog ===
pypy (6.0.0+dfsg-2) unstable; urgency=medium

  * Add support for hurd-i386 (Closes: #904076), with some patches from
    upstream. Thanks Samuel Thibault.
    - rvmprof-dummy: A fix for rvmprof.dummy
    - avoid-rvmprof-dummy: Disable rvmprof on platforms that won't support it
    - hurd: The main platform support patch.
  * pypy{compile,clean}: Don't attempt to byte-compile (or clean) python
    scripts in /usr/share/doc, when using the -p flag to find all scripts in a
    package. (Closes: #904521)
  * Add temporary cleanup code to pypyclean, removing any byte-compiled files
    that were created due to the above bug.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Aug 2018 12:18:35 -0700

pypy (6.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch rvmprof-cpu-detection, superseded upstream.
  * Update copyright.
  * Declare Rules-Requires-Root: no
  * Bump Standards-Version to 4.1.4, no changes needed.
  * Migrate VCS fields to salsa.debian.org.
  * Correct cffi pydist-override location, thanks olasd. (Closes: #895938)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 27 Apr 2018 14:16:57 -0700
