=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pypy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefano Rivera <stefanor@debian.org>
+Maintainer: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 9.20141010~),
  dh-exec,
@@ -28,13 +27,14 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: http://pypy.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pypy.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pypy.git
+Vcs-Git: https://salsa.debian.org/debian/pypy.git
+Vcs-Browser: https://salsa.debian.org/debian/pypy
+Rules-Requires-Root: no
 
 Package: pypy
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: pypy-lib (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: pypy-dev (<< ${source:Version})
 Provides: ${pypy-abi}
@@ -56,7 +56,7 @@
  This package contains the PyPy interpreter.
 
 Package: pypy-tk
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Depends: pypy (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: pypy-lib (<< 2.2)
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
@@ -68,7 +68,7 @@
  (2.7).
 
 Package: pypy-lib
-Architecture: kfreebsd-any linux-any
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
