## pypy 7.0.0+dfsg

=== requirements.txt ===
cffi>=1.4.0

# parse log files in rvmprof tests
vmprof>=0.4.10; 'x86' in platform.machine #skip arm, s390x

# hypothesis is used for test generation on untranslated tests
hypothesis
enum34>=1.1.2
