=== debian/changelog ===
pypy (7.0.0+dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Mar 2019 14:26:39 -0700

pypy (7.0.0+dfsg-2) unstable; urgency=medium

  * Remove dh_builddeb override, no longer necessary.
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Patch from upstream release branch: hypothesis-crashes: Handle older
    hypothesis versions better.
  * Patch hurd-sysmacros: Include <sys/sysmacros.h> on GNU/Hurd.
    (Closes: #921937)
  * Use /usr/share/dpkg/architecture.mk to export DEB_HOST_MULTIARCH.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Feb 2019 14:41:21 -0800

pypy (7.0.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patches avoid-rvmprof-dummy, hurd, and rvmprof-dummy. Superseded
    upstream.
  * Update copyright.
  * Clean up after the new "extra_tests" directory.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 07 Feb 2019 15:34:43 +0200

pypy (6.0.0+dfsg-4~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 12 Feb 2019 14:24:36 -0800

pypy (6.0.0+dfsg-4) unstable; urgency=medium

   * Replace patch dots-gctransform with graphlib-dots: Print some more
     mandlebrot while breaking cycles, to avoid build timeouts.
   * Add namespace package support.
   * Add some superficial autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 30 Jan 2019 13:27:19 +0100

pypy (6.0.0+dfsg-3) unstable; urgency=medium

  * Build in multiarch tuple, even if built with a non-multiarch python.
  * Patch skip-hurd-deadlock: Skip a locking test on hurd, that deadlocks.
  * Patch dots-gctransform: Print some more mandelbrot while "Inlining GC
    helpers", to avoid timeouts.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 28 Aug 2018 10:01:22 +0100
