=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
  valgrind [amd64 arm64 armhf i386 mips mips64el mipsel powerpc ppc64 ppc64el s390x],
  zlib1g-dev
 Build-Depends-Indep: graphviz
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://pypy.org/
 Vcs-Git: https://salsa.debian.org/debian/pypy.git
 Vcs-Browser: https://salsa.debian.org/debian/pypy
