=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
 
 export PYPY_USESSION_BASENAME := debian
+# Our multiarch patch expects DEB_HOST_MULTIARCH
+include /usr/share/dpkg/architecture.mk
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -91,9 +93,6 @@
 	done
 	dh_installdeb
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 HG_REPO ?= https://bitbucket.org/pypy/pypy
 REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
 VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
