=== debian/tests/control ===
Test-Command: echo 'print "Hello"' | pypy | grep Hello
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'print "Hello"' | grep Hello
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'import os.path'
Depends: pypy
Restrictions: superficial

Test-Command: pypy -c 'import Tkinter'
Depends: pypy-tk
Restrictions: superficial
