## pypy 7.1.1+dfsg

=== debian/changelog ===
pypy (7.1.1+dfsg-1) unstable; urgency=medium

  * New upstream minor release.
  * Update copyright.
  * Drop patches, superseded upstream: hypothesis-crashes, hurd-sysmacros.
  * Patch version-7.1.1: Set the version in the docs to 7.1.1, upstream got it
    wrong.
  * Drop patch graphlib-dots, superseded upstream.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 08 Aug 2019 20:10:56 -0300

pypy (7.0.0+dfsg-3) unstable; urgency=medium

  * Update watch file regex, upstream calls it pypy2.7 now.
  * pypycompile and pypyclean now read namespaces from /usr/share/pypy/ns
    (following dh_pypy). (Closes: #924676)
    - Breaks old pypy-backports.functools-lru-cache, using the old location.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Mar 2019 11:07:07 -0400
