## pypy 7.3.1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,8 @@
 export CFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get CFLAGS)
 export LDFLAGS = $(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)
 
-export PYPY_USESSION_BASENAME := debian
 # Our multiarch patch expects DEB_HOST_MULTIARCH
 include /usr/share/dpkg/architecture.mk
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-  SUB_MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-endif
 
 %:
 	dh $@ --with sphinxdoc
@@ -33,15 +28,8 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C pypy/doc html BUILDDIR=$(CURDIR)/build-docs
 
-pypy/goal/pypy-c: export TMPDIR = $(CURDIR)/build-tmp
-pypy/goal/pypy-c: C_SRC_DIR = $(TMPDIR)/usession-$(PYPY_USESSION_BASENAME)-0/testing_1
 pypy/goal/pypy-c:
-	rm -rf $(TMPDIR)
-	mkdir $(TMPDIR)
 	debian/scripts/translate.sh --python $(PYTHON)
-	# PyPy captures all make output, so we call it ourselves, to avoid timeouts:
-	$(MAKE) -C $(C_SRC_DIR) $(SUB_MAKEFLAGS)
-	cp $(C_SRC_DIR)/pypy-c $(C_SRC_DIR)/libpypy-c.so $(dir $@)
 
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test-arch: export TMPDIR = $(CURDIR)/build-tests-tmp
@@ -95,7 +83,7 @@
 
 HG_REPO ?= https://bitbucket.org/pypy/pypy
 REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg([0-9]+).*,\1,p')
-VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p')
+VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: (.+)\+dfsg-.*,\1,p' | sed -e 's/~//')
 get-packaged-orig-source:
 	@echo "You can build this from a local repo by supplying the HG_REPO variable"
 	rm -rf pypy-$(VER).orig
